Last Comment Bug 901543 - Permanent Orange: TEST-UNEXPECTED-FAIL | test_imapAutoSync.js | 2 == 1
: Permanent Orange: TEST-UNEXPECTED-FAIL | test_imapAutoSync.js | 2 == 1
Status: RESOLVED FIXED
: intermittent-failure
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 26.0
Assigned To: Hiroyuki Ikezoe (:hiro)
:
:
Mentors:
Depends on:
Blocks: 896738
  Show dependency treegraph
 
Reported: 2013-08-05 08:09 PDT by Mark Banner (:standard8)
Modified: 2013-08-09 06:42 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
fix_for_bug901543.patch (3.45 KB, patch)
2013-08-08 22:27 PDT, Hiroyuki Ikezoe (:hiro)
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2013-08-05 08:09:06 PDT
Seen since the major orange:

https://tbpl.mozilla.org/php/getParsedLog.php?id=26156865&tree=Thunderbird-Aurora#error65

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/imap/test/unit/test_imapAutoSync.js | 2 == 1 - See following stack:
JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/imap/test/unit/test_imapAutoSync.js :: endTest :: line 138
JS frame :: ../../../resources/asyncTestUtils.js :: async_run :: line 107
JS frame :: ../../../resources/asyncTestUtils.js :: _async_test_runner :: line 287
JS frame :: ../../../resources/asyncTestUtils.js :: _async_driver :: line 156
JS frame :: /Users/cltbld/talos-slave/test/build/xpcshell/head.js :: do_execute_soon/<.run :: line 444
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
Comment 1 Hiroyuki Ikezoe (:hiro) 2013-08-08 22:27:53 PDT
Created attachment 787958 [details] [diff] [review]
fix_for_bug901543.patch

This patch includes several fixes.

1. Replace CopyListener with asyncCopyListener. The listeners are totally the same.
2. Remove yield in test_triggerAutoSyncIdle. There is nothing to wait for.
3. Remove async_driver in msgsMoveCopyCompleted. It is redundant because async_driver in asyncCopyListener is the counter part of CopyMessages.
4. Add more yield in test_waitForTargetUpdate. Because the test needs to wait for onDownloadCompleted and onDiscoveryQProcessed.
Comment 2 Mark Banner (:standard8) 2013-08-09 06:33:44 PDT
Comment on attachment 787958 [details] [diff] [review]
fix_for_bug901543.patch

Review of attachment 787958 [details] [diff] [review]:
-----------------------------------------------------------------

Looks great, thanks!
Comment 3 Mark Banner (:standard8) 2013-08-09 06:36:38 PDT
https://hg.mozilla.org/comm-central/rev/53b8331cdedc
Comment 4 Mark Banner (:standard8) 2013-08-09 06:38:18 PDT
Comment on attachment 787958 [details] [diff] [review]
fix_for_bug901543.patch

[Triage Comment]
Taking onto other channels as well.

Note You need to log in before you can comment on or make changes to this bug.